Skip to main content
POST
Query Log Entries
Last Updated: July 1, 2025

Authorizations

Salad-Api-Key
string
header
required

Path Parameters

organization_name
string
required

Your organization name. This identifies the billing context for the API operation and represents a security boundary for SaladCloud resources. The organization must be created before using the API, and you must be a member of the organization. The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

Body

application/json

Represents a query for logs

end_time
string<date-time>
required

The end time of the time range

query
string
required

The query string for filtering logs

Maximum string length: 20000
start_time
string<date-time>
required

The start time of the time range

page_size
integer<int32>

The maximum number of items per page.

Required range: 1 <= x <= 100
Example:

1

sort_order
enum<string>
default:desc

The sort order of the log entries. asc will sort the log entries in chronological order. desc will sort the log entries in reverse chronological order.

Available options:
desc,
asc

Response

OK

Represents a page of organization logs

items
object[]
required

A collection of log entries

Maximum array length: 10000
organization_name
string
required

The organization name.

Required string length: 2 - 63
Pattern: ^[a-z][a-z0-9-]{0,61}[a-z0-9]$
Example:

"acme-corp"

page_max_time
string<date-time>
required

The maximum time page boundary. This may be used when getting paginated results.

page_min_time
string<date-time>
required

The minimum time page boundary. This may be used when getting paginated results.